Debian Bug report logs - #358310
FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory

version graph

Package: scim-chewing; Maintainer for scim-chewing is Andrew Lee (李健秋) <ajqlee@debian.org>; Source for scim-chewing is src:scim-chewing.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Wed, 22 Mar 2006 05:03:02 UTC

Severity: serious

Tags: patch

Found in version scim-chewing/0.2.1-2

Fixed in version scim-chewing/0.3.1-1

Done: Andrew Lee <andrew@linux.org.tw>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee <andrew@linux.org.tw>:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Andrew Lee <andrew@linux.org.tw>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
Date: Wed, 22 Mar 2006 04:52:49 +0000
Package: scim-chewing
Version: 0.2.1-2
Severity: serious

> Automatic build of scim-chewing_0.2.1-2 on bigsur by sbuild/mips 1.106
...
> /bin/sh ../libtool --tag=CXX --mode=link mips-linux-gnu-g++  -Wall -g -O2   -o chewing.la -rpath /usr/lib/scim-1.0/1.4.0/IMEngine -avoid-version -rpath /usr/lib/scim-1.0/1.4.0/IMEngine -module @LIBTOOL_EXPORT_OPTIONS@ -lscim-1.0 -lchewing   chewing_la-scim_chewing_imengine.lo  
> mips-linux-gnu-g++ -shared -nostdlib /usr/lib/gcc/mips-linux-gnu/4.1.0/../../../crti.o /usr/lib/gcc/mips-linux-gnu/4.1.0/crtbeginS.o  .libs/chewing_la-scim_chewing_imengine.o  /usr/lib/libscim-1.0.so /usr/lib/libchewing.so -L/usr/lib/gcc/mips-linux-gnu/4.1.0 -L/usr/lib/gcc/mips-linux-gnu/4.1.0/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/mips-linux-gnu/4.1.0/crtendS.o /usr/lib/gcc/mips-linux-gnu/4.1.0/../../../crtn.o  @LIBTOOL_EXPORT_OPTIONS@ -Wl,-soname -Wl,chewing.so -o .libs/chewing.so
> mips-linux-gnu-g++: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
> make[3]: *** [chewing.la] Error 1

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 358310@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: Martin Michlmayr <tbm@cyrius.com>, 358310@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#358310: FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
Date: Thu, 23 Mar 2006 14:58:11 +0800
[Message part 1 (text/plain, inline)]
tag 358310 +patch
Thanks

Martin Michlmayr wrote:
[...]
>>mips-linux-gnu-g++: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
>>make[3]: *** [chewing.la] Error 1

The attchment is a patch from Hou ZhengPeng <zhengpeng.hou@gmail.com>
which solve this problem.


-Andrew

[configure_ac.diff (text/plain, inline)]
diff -ruNad scim-chewing-0.2.1.orig/configure.ac scim-chewing-0.2.1/configure.ac
--- scim-chewing-0.2.1.orig/configure.ac	2006-02-28 15:40:43.000000000 +0800
+++ scim-chewing-0.2.1/configure.ac	2006-02-28 15:42:52.000000000 +0800
@@ -76,6 +76,7 @@
 # libtool option to control which symbols are exported
 # right now, symbols starting with _ are not exported
 LIBTOOL_EXPORT_OPTIONS='-export-symbols-regex "^[[^_]].*"'
+AC_SUBST(LIBTOOL_EXPORT_OPTIONS)
 
 # Extra args.
 AC_ARG_ENABLE(debug,


Tags added: patch Request was from Andrew Lee <andrew@linux.org.tw> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee <andrew@linux.org.tw>:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Message #15 received at 358310@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 358310@bugs.debian.org
Subject: Re: Bug#358310: FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
Date: Thu, 20 Apr 2006 13:08:25 +0200
[Message part 1 (text/plain, inline)]
Re: Andrew Lee 2006-03-23 <44224703.8000305@linux.org.tw>
> diff -ruNad scim-chewing-0.2.1.orig/configure.ac scim-chewing-0.2.1/configure.ac
> --- scim-chewing-0.2.1.orig/configure.ac	2006-02-28 15:40:43.000000000 +0800
> +++ scim-chewing-0.2.1/configure.ac	2006-02-28 15:42:52.000000000 +0800
> @@ -76,6 +76,7 @@
>  # libtool option to control which symbols are exported
>  # right now, symbols starting with _ are not exported
>  LIBTOOL_EXPORT_OPTIONS='-export-symbols-regex "^[[^_]].*"'
> +AC_SUBST(LIBTOOL_EXPORT_OPTIONS)
>  
>  # Extra args.
>  AC_ARG_ENABLE(debug,
> 

When adding this patch, it still fails:

i486-linux-gnu-g++ -shared -nostdlib /usr/lib/gcc/i486-linux-gnu/4.0.3/../../../../lib/crti.o /usr/lib/gcc/i486-linux-gnu/4.0.3/crtbeginS.o  .libs/chewing_imengine_setup_la-scim_chewing_imengine_setup.o  /usr/lib/libscim-gtkutils-1.0.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so /usr/lib/libpangocairo-1.0.so -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes /usr/lib/libpango-1.0.so /usr/lib/libcairo.so -lX11 /usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so /usr/lib/libscim-1.0.so -L/usr/lib/gcc/i486-linux-gnu/4.0.3 -L/usr/lib/gcc/i486-linux-gnu/4.0.3/../../../../lib -L/usr/lib/gcc/i486-linux-gnu/4.0.3/../../.. -L/lib/../lib -L/usr/lib/../lib -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/i486-linux-gnu/4.0.3/crtendS.o /usr/lib/gcc/i486-linux-gnu/4.0.3/../../../../lib/crtn.o  -Wl,-soname -Wl,chewing-imengine-setup.so -Wl,-retain-symbols-file -Wl,.libs/chewing-imengine-setup.exp -o .libs/chewing-imengine-setup.so
ar cru .libs/chewing-imengine-setup.a  chewing_imengine_setup_la-scim_chewing_imengine_setup.o
ranlib .libs/chewing-imengine-setup.a
creating chewing-imengine-setup.la
/bin/sed: can't read /usr/lib/libXcursor.la: No such file or directory
libtool: link: `/usr/lib/libXcursor.la' is not a valid libtool archive
make[3]: *** [chewing-imengine-setup.la] Fehler 1
make[3]: Leaving directory `/srv/debian/nmu/scim-chewing/scim-chewing-0.2.1/src'

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee <andrew@linux.org.tw>:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Andrew Lee <andrew@linux.org.tw>. Full text and rfc822 format available.

Message #20 received at 358310@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Christoph Berg <myon@debian.org>, 358310@bugs.debian.org
Subject: Re: Bug#358310: FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
Date: Thu, 20 Apr 2006 14:16:00 +0200
* Christoph Berg <myon@debian.org> [2006-04-20 13:08]:
> When adding this patch, it still fails:

> creating chewing-imengine-setup.la
> /bin/sed: can't read /usr/lib/libXcursor.la: No such file or directory

No, that's just a temporary X.Org problem.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 358310@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: Martin Michlmayr <tbm@cyrius.com>, 358310@bugs.debian.org
Cc: Christoph Berg <myon@debian.org>, enrico@debian.org
Subject: Re: Bug#358310: FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
Date: Thu, 20 Apr 2006 23:55:35 +0800
在 2006/4/20 下午 8:16 時,Martin Michlmayr 寫到:

> * Christoph Berg <myon@debian.org> [2006-04-20 13:08]:
>> When adding this patch, it still fails:
>
>> creating chewing-imengine-setup.la
>> /bin/sed: can't read /usr/lib/libXcursor.la: No such file or  
>> directory
>
> No, that's just a temporary X.Org problem.

Thanks for this hint.

I was going to try it with pbuilder, now, seems I don't need to do  
that. :)

I am still working on the broken HanyuPinyin mapping table with  
upstream author, hopefully we can fix the HanyuPinyin table as well  
in next upload, shortly.

-Andrew


Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee <andrew@linux.org.tw>:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Lee <andrew@linux.org.tw>. Full text and rfc822 format available.

Message #30 received at 358310@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Andrew Lee <andrew@linux.org.tw>, 358310@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>, Christoph Berg <myon@debian.org>, enrico@debian.org
Subject: Re: Bug#358310: FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
Date: Thu, 20 Apr 2006 12:48:10 -0700
On Thu, Apr 20, 2006 at 11:55:35PM +0800, Andrew Lee wrote:

> >* Christoph Berg <myon@debian.org> [2006-04-20 13:08]:
> >>When adding this patch, it still fails:

> >>creating chewing-imengine-setup.la
> >>/bin/sed: can't read /usr/lib/libXcursor.la: No such file or  
> >>directory

> >No, that's just a temporary X.Org problem.

> Thanks for this hint.

> I was going to try it with pbuilder, now, seems I don't need to do  
> that. :)

BinNMUs have been scheduled on architectures for scim, to fix up these
references to libXcursor.la and libXrender.la.  Won't make it in time for
today's dinstall, but after tomorrow's you should be able to build
scim-chewing again.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee <andrew@linux.org.tw>:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Pierre HABOUZIT <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Lee <andrew@linux.org.tw>. Full text and rfc822 format available.

Message #35 received at 358310@bugs.debian.org (full text, mbox):

From: Pierre HABOUZIT <madcoder@debian.org>
To: 358310@bugs.debian.org
Cc: Andrew Lee <andrew@linux.org.tw>
Subject: Re: Bug#358310: FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
Date: Wed, 17 May 2006 13:02:52 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 20, 2006 at 12:48:10PM -0700, Steve Langasek wrote:
> On Thu, Apr 20, 2006 at 11:55:35PM +0800, Andrew Lee wrote:
> 
> > >* Christoph Berg <myon@debian.org> [2006-04-20 13:08]:
> > >>When adding this patch, it still fails:
> 
> > >>creating chewing-imengine-setup.la
> > >>/bin/sed: can't read /usr/lib/libXcursor.la: No such file or  
> > >>directory
> 
> > >No, that's just a temporary X.Org problem.
> 
> > Thanks for this hint.
> 
> > I was going to try it with pbuilder, now, seems I don't need to do  
> > that. :)
> 
> BinNMUs have been scheduled on architectures for scim, to fix up these
> references to libXcursor.la and libXrender.la.  Won't make it in time for
> today's dinstall, but after tomorrow's you should be able to build
> scim-chewing again.

  ping, any progress here ? we have an RC bug that could have been
solved 1 month ago rotting, that's not good. Do you have anything coming
?
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #40 received at 358310@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: Pierre HABOUZIT <madcoder@debian.org>
Cc: 358310@bugs.debian.org
Subject: Re: Bug#358310: FTBFS: @LIBTOOL_EXPORT_OPTIONS@: No such file or directory
Date: Thu, 18 May 2006 02:04:54 +0800
在 2006/5/17 下午 7:02 時,Pierre HABOUZIT 寫到:
>   ping, any progress here ? we have an RC bug that could have been
> solved 1 month ago rotting, that's not good. Do you have anything  
> coming
> ?

I have been working on several other important issues with upstream  
authors, and I known they will make a new release soon. So I didn't  
want to bother my sponsor too much.

New libchewing 0.3.0 and scim-chewing 0.3.0 just released three days  
ago. New package has been prepared yesterday and uploaded to  
apt.debian.org.tw for experienced users to test. I will send a  
request to my sponsor if no problem reported from experienced users  
until this afternoon.

Thank you for your concerned and sorry for causing you alarm.

-Andrew


Tags added: pending Request was from Enrico Zini <enrico@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #47 received at 358310@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: 358310@bugs.debian.org
Cc: enrico@debian.org
Subject: Strange build loops in scim-chewing
Date: Sat, 27 May 2006 23:28:00 +0800
Dear folks,

We have a trouble on building new version of scim-chewing. It builds  
on my machine both on system and pbuilder, but it fails which has an  
infinite loop in po/ directory on my sponsor's system, and I cannot  
reproduce it.

We were thinking of the problem is in rules file that rebuilds the  
build system(with autogen.sh), but later my sponsor found this build  
loop also reproduced on an original upstream tarball[1].

We also found ubuntu has the same problem in earlier version 
(0.2.1-2ubuntu3), and they made a quick dirty fix[2] directly to the  
diff.gz. I think Debian shouldn't get over with a quick dirty fix, so  
we won't upload without a real fix.

I need people to help me figure out what is real need to fix. I am  
looking for someone who can reproduce the build loop in upstream  
build system and in the earlier version with a patch which I attached  
earlier in #358310.

[1] http://chewing.csie.net/download/scim/scim-chewing-0.3.0.tar.gz
[2] http://people.ubuntu.com/~scott/patches/scim-chewing/scim- 
chewing_0.2.1-2ubuntu4_unknown.patch

Thanks in advance.

-Andrew



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #52 received at 358310@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: 358310@bugs.debian.org
Date: Sun, 28 May 2006 22:59:41 +0800
[fix_intltool.dpatch (application/octet-stream, attachment)]
[Message part 2 (text/plain, inline)]
If someone who can reproduce the build loop, please try the attached  
patch.

TIA

-Andrew

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#358310; Package scim-chewing. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #57 received at 358310@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: 358310@bugs.debian.org
Subject: (no subject)
Date: Mon, 19 Jun 2006 14:37:37 +0800
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The fix_intltool.dpatch works fine, and already included in upstream.
Now this bug is pending for libchewing3 pass the NEW queue.

Thanks for everyone who helped on this.

- -Andrew
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFElkYunQYz4bYlCYURAulWAKCgHzG/0NXYn4vGnSnKMrIYjccS+ACfcLiy
pZ1z1Kcd+yLKxh3dsARLypQ=
=VZET
-----END PGP SIGNATURE-----




Bug marked as fixed in version 0.3.1-1, send any further explanations to Martin Michlmayr <tbm@cyrius.com> Request was from Andrew Lee <andrew@linux.org.tw> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 14:02:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:00:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.